/*
	Phoenix Suite 2
	Author: Jean-Baptiste Wautier
	Copyright 2006-2009 (c)
*/
﻿namespace Phoenix.Log.Reader
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Provides information to configure assembly ILogReaderFactory
    /// </summary>
    public interface ILogReaderConfigurator
    {
        #region Methods

        /// <summary>
        /// Adds assembly new key-value pair in the configurator.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <param name="value">The value.</param>
        void Add(string key, string value);

        /// <summary>
        /// Determines whether the specified key exists in the configurator.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns>
        /// 	<c>true</c> if the specified key contains key; otherwise, <c>false</c>.
        /// </returns>
        bool ContainsKey(string key);

        /// <summary>
        /// Gets the specified key's value.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns>The key's value</returns>
        string GetKey(string key);

        /// <summary>
        /// Removes the specified key.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns><c>true</c> if the operation succeeded otherwise <c>false</c></returns>
        bool Remove(string key);

        /// <summary>
        /// Updates the specified key with the new value.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <param name="newValue">The new value.</param>
        /// <returns></returns>
        void Update(string key, string newValue);

        #endregion Methods
    }
}